## Features

This package wraps any flutter widget inside InnerShadow widget with specified inner shadow

## Getting started

Add the following to your pubspec.yaml file.

```yaml
dependencies:
  flutter_inner_shadow: 0.0.1
```

Import the package.

```dart
import 'package:flutter_inner_shadow/flutter_inner_shadow.dart';
```

## Usage

Wrap any widget with ```InnerShadow``` widget. provide List<Shadow> in shadow property.

```dart
@override
Widget build(BuildContext context) {
  return Scaffold(
    body: Center(
      child: SizedBox(
        height: 100,
        width: 100,
        child: InnerShadow(
          shadows: [
            Shadow(
                color: Colors.black.withOpacity(0.25),
                blurRadius: 10,
                offset: Offset(2, 5))
          ],
          child: Container(
            decoration: BoxDecoration(
              borderRadius: BorderRadius.circular(10),
              color: Colors.red,
            ),
          ),
        ),
      ),
    ),
  );
}
```
